/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.11.2008
  * @author Daniel Garmann
  */

public class Spiel {

  // Anfang Attribute
  private Position position;
  private Spieler[] spieler = new Spieler[2];
  private Gui owner;
  
  // Ende Attribute

  public Spiel(Gui owner, int startspieler) {
     this.owner = owner;
     position = new Position(startspieler);
     spieler[0] = new MenschSpieler(owner);
     spieler[1] = new MenschSpieler(owner);
     spieler[0] = new ComputerSpieler(owner,4);
     spieler[1] = new ComputerSpieler(owner,4);
  }

  // Anfang Methoden
  public void starten() {

    spielstandausgeben();

    while (!position.spielendeErreicht()) {
      Zug zug = spieler[position.amZug()].spielzugMachen(position);
      position.zugAusfuehren(zug);
      spielstandausgeben();
    }
    
    System.out.println("Ende!");
    owner.reset();
  }

  public void spielstandausgeben() {
    position.ausgeben(owner.getContentPane());
  }


  // Ende Methoden
}
